import request from '@/utils/request'

// 查询试题列表
export function listQu(query) {
  return request({
    url: '/elearn/qu/list?pageNum=' + query.pageNum + '&pageSize= '+ query.pageSize,
    method: 'post',
    data: query
  })
}

// 查询试题详细
export function getQu(quId) {
  return request({
    url: '/elearn/qu/' + quId,
    method: 'get'
  })
}

// 新增试题
export function addQu(data) {
  return request({
    url: '/elearn/qu',
    method: 'post',
    data: data
  })
}

// 修改试题
export function updateQu(data) {
  return request({
    url: '/elearn/qu',
    method: 'put',
    data: data
  })
}

// 删除试题
export function delQu(quId) {
  return request({
    url: '/elearn/qu/' + quId,
    method: 'delete'
  })
}

// 导出试题
export function exportQu(query) {
  return request({
    url: '/elearn/qu/export',
    method: 'get',
    params: query
  })
}
